#
# spec file for package gap-example
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-example
Summary:        GAP: A Demo for Package Authors
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        3.5.1
Release:        lp151.2.2
Url:            http://www.cs.st-andrews.ac.uk/~alexk/example/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/Example-%version.tar.bz2
Source9:        %name-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-devel >= 4.5.3
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.5.3
Requires:       gap-gapdoc >= 1.5

%description
The Example package, as its name suggests, is an example of how to
create a GAP package. It has little functionality except for being a
package, however, it contains an extensive appendix with guidelines
for package authors.

%prep
%setup -qn Example-%version

%build
./configure "%gapdir"
make %{?_smp_mflags}

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 3.4.5
  * Remark on repackaging package archives
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 3.4.4
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split example (version 3.4.3) off the gap RPM package
